Skip to main content
PUT
/
api
/
alert-routing
/
defaults
cURL
curl -X PUT "https://app.cotool.ai/api/alert-routing/defaults" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"defaultResponseAgentId":"string"}'
{
  "defaultSettings": {
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "defaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "defaultResponseAgentName": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  },
  "responseAgents": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Body

application/json
defaultResponseAgentId
string<uuid> | null
required

Default response agent for detection-created alerts

Response

Successful response

defaultSettings
object
required
responseAgents
object[]
required